import './el-result-s9MlQSRt.js';
import { E as EnvDocument, e as SetEnvDocument } from './message-CyATHsMQ.js';
import { a as getSharedStorage } from './fetch-w4DphyvP.js';
import './browser-polyfill-CQCiMlvl.js';
import { d as defineComponent, i as useSubscription, j as useMutation, c as computed, o as openBlock, e as createBlock, l as withCtx, m as createVNode, a as createElementBlock, b as createBaseVNode, u as unref, p as createTextVNode } from './index-Cma3Snfr.js';
import { c as createApp } from './context-CpUSyyKD.js';
import { E as ElButton, e as commonProvider } from './common-provider-C-k8iixg.js';
import { E as ElOption, a as ElSelect } from './index-DFHKrpDs.js';
import './vue-i18n.runtime-dWV3JVIG.js';
import './interval-2DfobCnA.js';
import './server-EI8KcL4n.js';

const _sfc_main$1 = /*#__PURE__*/ defineComponent({
    __name: 'env-switch',
    setup (__props) {
        const envSubscription = useSubscription(EnvDocument);
        const envMutation = useMutation(SetEnvDocument);
        const env = computed({
            get () {
                return envSubscription.result.value?.env;
            },
            set (value) {
                if (!value) {
                    return;
                }
                envMutation.mutate({
                    env: value
                });
            }
        });
        return (_ctx, _cache)=>{
            const _component_el_option = ElOption;
            const _component_el_select = ElSelect;
            return openBlock(), createBlock(_component_el_select, {
                modelValue: env.value,
                "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event)=>env.value = $event)
            }, {
                default: withCtx(()=>[
                        createVNode(_component_el_option, {
                            value: "production"
                        }),
                        createVNode(_component_el_option, {
                            value: "pre"
                        }),
                        createVNode(_component_el_option, {
                            value: "testing"
                        }),
                        createVNode(_component_el_option, {
                            value: "development"
                        })
                    ]),
                _: 1
            }, 8, [
                "modelValue"
            ]);
        };
    }
});

const _hoisted_1 = {
    class: "flex flex-col items-center w-screen"
};
const _hoisted_2 = {
    class: "w-[600px] m-16"
};
const _hoisted_3 = /*#__PURE__*/ createBaseVNode("td", null, "Env", -1);
const _hoisted_4 = /*#__PURE__*/ createBaseVNode("td", null, "Data", -1);
const _sfc_main = /*#__PURE__*/ defineComponent({
    __name: 'dev-page',
    setup (__props) {
        function clearData() {
            getSharedStorage().clear();
        }
        return (_ctx, _cache)=>{
            const _component_el_button = ElButton;
            return openBlock(), createElementBlock("div", _hoisted_1, [
                createBaseVNode("table", _hoisted_2, [
                    createBaseVNode("tr", null, [
                        _hoisted_3,
                        createBaseVNode("td", null, [
                            createVNode(unref(_sfc_main$1))
                        ])
                    ]),
                    createBaseVNode("tr", null, [
                        _hoisted_4,
                        createBaseVNode("td", null, [
                            createVNode(_component_el_button, {
                                onClick: clearData
                            }, {
                                default: withCtx(()=>[
                                        createTextVNode("Clear Data")
                                    ]),
                                _: 1
                            })
                        ])
                    ])
                ])
            ]);
        };
    }
});

function setupDevPage() {
    createApp(_sfc_main).use(commonProvider()).mount('#app');
}

setupDevPage();
